More shortcuts text, and better layout
[potlatch2.git] / README.txt
index cdc0b012a7c699418cb06383270f5eaa101ae087..02cf2c0265a37da0b5077db97b2e4f9cf3f9d849 100644 (file)
@@ -6,17 +6,24 @@ Halcyon is its rendering engine. It's rules-based (like, say, Mapnik) and does d
 
 Both are written in ActionScript 3. Potlatch 2.0 additionally uses the Flex framework.
 
+Many icons used in halcyon/potlatch2 are based on the awesome CC0-licensed SJJB icons project. http://www.sjjb.co.uk/mapicons/
+
 === What you'll need ===
 
-* Flex SDK - http://www.adobe.com/products/flex/ (free, OS X/Windows/Linux)
+* Flex SDK 3.4 or 3.5 - http://www.adobe.com/products/flex/ (free, OS X/Windows/Linux)
 * AS3 docs - http://livedocs.adobe.com/flash/9.0/ActionScriptLangRefV3/
 * Flash debug player - http://www.adobe.com/support/flashplayer/downloads.html
 * Basically you might as well just sell your soul to Adobe
 
+***Do not use FlexSDK <= 3.3 or > 4***. There are compatibility errors with version 4, and 3.3
+and earlier have this bug: http://bugs.adobe.com/jira/browse/SDK-16705 which is a major issue for the
+tag editors.
+
 You'll only need OSM Rails port installed on your local machine if you are doing hard-core 
 server-communication coding, but if generally you can use the dev server at api06.dev.openstreetmap.org
 for development and testing.
 
+
 === How to compile and run ===
 
 Compiling Potlatch 2:
@@ -77,7 +84,7 @@ Running:
 * Flex compiler runs at about the speed of a tortoise soaked in molasses which happens also to be dead.
 * Running the debug player helps when coding, since it'll pop up the runtime errors. You don't see them
   with the normal player.
-
+  
 Richard Fairhurst
 richard@systemeD.net